function [t,y] = ode15s_test(lam,rtol,atol)

% [t,y] = ode15s_test(lam,rtol,atol)
% Risolve il problema ai valori iniziali
%
% y'(t) = lam*(y-cos(t)) - sin(t),  0<=t<=2*pi
%  y(0) = 1
%
% applicando la routine ode15s con tolleranza per l'errore relativo rtol
% e per l'errore assoluto atol.


phi  = @(t)  cos(t);
phi1 = @(t) -sin(t);

y0 = phi(0);

f=@(t,y) lam*(y-phi(t)) + phi1(t);

options = odeset('RelTol',rtol,'AbsTol',atol,'Stats','on','OutputFcn',@odeplot);
options = odeset(options,'Jacobian',lam);

T = 2*pi;
[t,y] = ode15s(f,[0 T],y0,options);



